problem: !SequentialCoupling
  description: Flow in 2d-1d domain, non-compatible mesh
  mesh:
    mesh_file: input/noncompatible_r_1.msh
  primary_equation: !Steady_MH
    n_schurs: 2
    mortar_method: P0
    input_fields:
      - region: 1d
        conductivity: 1
        sigma: 100
      - region: 2d
        conductivity: 5
      - region: .1d
        bc_type: dirichlet
        bc_pressure: 5
      - region: .2d_bottom_top
        bc_type: dirichlet
        bc_pressure: 10
    output:
      compute_errors: true
      output_stream: 
        file: ./square.pvd
        format: !vtk
          variant: ascii
        name: flow_output_stream
      output_fields:
        - piezo_head_p0
        - pressure_p0
        - pressure_p1
        - velocity_p0
        - velocity_diff
        - pressure_diff
        - div_diff
    balance: true
    solver: !Petsc
      r_tol: 1.0e-10
      a_tol: 1.0e-10